Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2703563002: [ESNext] Implement DynamicImportCall (Closed)

Created:
2 years, 8 months ago by gsathya
Modified:
2 years, 6 months ago
CC:
v8-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
v8
Visibility:
Public.

Description

[ESNext] Implement DynamicImportCall This patch implements the runtime semantics of dynamic import. We create a new ASTNode so that we can pass the JSFunction closure() to the runtime function from which we get the script_url. d8 implements the embedder logic required to load and evaluate the modules. The API is mostly implemented as specified. BUG=8:5785 Review-Url: https://codereview.chromium.org/2703563002 Cr-Commit-Position: refs/heads/master@{#44551} Committed: https://chromium.googlesource.com/v8/v8/+/94283dcf4459fac0ef404d67898e2ba2012b32e6

Patch Set 1 #

Patch Set 2 : work work work #

Patch Set 3 : use isolate instead of context #

Patch Set 4 : fix refactor #

Patch Set 5 : dont be sync #

Patch Set 6 : implement stuff #

Patch Set 7 : fix #

Patch Set 8 : add bool #

Patch Set 9 : add tests #

Patch Set 10 : fix todo #

Patch Set 11 : fix rebase #

Patch Set 12 : fix build #

Total comments: 26

Patch Set 13 : fixes #

Patch Set 14 : add more tests #

Total comments: 2

Patch Set 15 : use function_closure #

Total comments: 12

Patch Set 16 : fixes #

Total comments: 4

Patch Set 17 : rebase #

Patch Set 18 : change to use CHECK #

Patch Set 19 : simplify error handling #

Total comments: 41

Patch Set 20 : fix #

Patch Set 21 : rebase #

Total comments: 1

Patch Set 22 : add test + comments #

Total comments: 1

Patch Set 23 : fix tests #

Patch Set 24 : fixes #

Patch Set 25 : create DynamicImportResult #

Patch Set 26 : add docs #

Patch Set 27 : rebase #

Patch Set 28 : rebase #

Patch Set 29 : rebase #

Patch Set 30 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+905 lines, -52 lines) Patch
M include/v8.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 4 chunks +53 lines, -1 line 0 comments Download
M src/api.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 3 chunks +5 lines, -1 line 0 comments Download
M src/api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 2 chunks +39 lines, -0 lines 0 comments Download
M src/asmjs/asm-wasm-builder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +2 lines, -0 lines 0 comments Download
M src/ast/ast.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 3 chunks +21 lines, -1 line 0 comments Download
M src/ast/ast-expression-rewriter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +6 lines, -0 lines 0 comments Download
M src/ast/ast-numbering.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +7 lines, -0 lines 0 comments Download
M src/ast/ast-traversal-visitor.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +7 lines, -0 lines 0 comments Download
M src/ast/prettyprinter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 2 chunks +11 lines, -0 lines 0 comments Download
M src/bailout-reason.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +1 line, -0 lines 0 comments Download
M src/compiler/ast-graph-builder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +5 lines, -0 lines 0 comments Download
M src/compiler/ast-loop-assignment-analyzer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +2 lines, -0 lines 0 comments Download
M src/counters.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +2 lines, -0 lines 0 comments Download
M src/crankshaft/hydrogen.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +5 lines, -0 lines 0 comments Download
M src/crankshaft/typing.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +4 lines, -0 lines 0 comments Download
M src/d8.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 2 chunks +9 lines, -2 lines 0 comments Download
M src/d8.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 9 chunks +106 lines, -14 lines 0 comments Download
M src/factory.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +3 lines, -0 lines 0 comments Download
M src/factory.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +15 lines, -0 lines 0 comments Download
M src/full-codegen/full-codegen.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +4 lines, -0 lines 0 comments Download
M src/interpreter/bytecode-generator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +8 lines, -0 lines 0 comments Download
M src/isolate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 2 chunks +7 lines, -0 lines 0 comments Download
M src/isolate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +23 lines, -0 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 2 chunks +4 lines, -4 lines 0 comments Download
M src/parsing/parser-base.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +1 line, -3 lines 0 comments Download
M src/parsing/pattern-rewriter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -0 lines 0 comments Download
M src/parsing/preparser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 1 chunk +5 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +1 line, -1 line 0 comments Download
M src/runtime/runtime-module.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +30 lines, -3 lines 0 comments Download
M test/cctest/interpreter/bytecode_expectations/ForAwaitOf.golden View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 7 chunks +7 lines, -7 lines 0 comments Download
M test/cctest/interpreter/bytecode_expectations/Generators.golden View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 4 chunks +4 lines, -4 lines 0 comments Download
M test/cctest/interpreter/bytecode_expectations/Modules.golden View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 11 chunks +11 lines, -11 lines 0 comments Download
A test/mjsunit/harmony/modules-import-1.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +12 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-10.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +15 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-11.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +22 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-12.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +19 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-13.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +39 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-14.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +26 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-15.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +56 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-2.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +18 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-3.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +22 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-4.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +13 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-5.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +13 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-6.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +29 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-7.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +24 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-8.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +91 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-import-9.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +22 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-1.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +5 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-2.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +5 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-3.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +5 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-4.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +6 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-5.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +15 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-6.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +11 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-7.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +14 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-8.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +5 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-9.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +5 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/modules-skip-empty.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +3 lines, -0 lines 0 comments Download
M test/mjsunit/mjsunit.status View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 169 (101 generated)
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:14 UTC) #6
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:14 UTC) #7
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:14 UTC) #8
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:14 UTC) #9
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #10
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #11
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #12
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #13
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #14
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #15
neis
nice! let me know once it's complete
2 years, 8 months ago (2017-02-16 11:35:15 UTC) #16
gsathya
On 2017/02/16 11:35:15, neis wrote: > nice! let me know once it's complete Needs more ...
2 years, 7 months ago (2017-03-14 04:05:31 UTC) #19
gsathya
On 2017/03/14 04:05:31, gsathya wrote: > On 2017/02/16 11:35:15, neis wrote: > > nice! let ...
2 years, 7 months ago (2017-03-15 20:51:08 UTC) #48
adamk
https://codereview.chromium.org/2703563002/diff/210001/include/v8.h File include/v8.h (right): https://codereview.chromium.org/2703563002/diff/210001/include/v8.h#newcode1075 include/v8.h:1075: static bool FinishDynamicImportSuccess(Local<Context> context, It looks like this returns ...
2 years, 7 months ago (2017-03-15 21:36:44 UTC) #49
gsathya
https://codereview.chromium.org/2703563002/diff/210001/include/v8.h File include/v8.h (right): https://codereview.chromium.org/2703563002/diff/210001/include/v8.h#newcode1075 include/v8.h:1075: static bool FinishDynamicImportSuccess(Local<Context> context, On 2017/03/15 21:36:43, adamk wrote: ...
2 years, 7 months ago (2017-03-16 00:59:25 UTC) #54
gsathya
+ross for interpreter/
2 years, 7 months ago (2017-03-16 01:13:11 UTC) #56
rmcilroy
https://codereview.chromium.org/2703563002/diff/250001/src/interpreter/bytecode-generator.cc File src/interpreter/bytecode-generator.cc (right): https://codereview.chromium.org/2703563002/diff/250001/src/interpreter/bytecode-generator.cc#newcode3018 src/interpreter/bytecode-generator.cc:3018: entry = builder()->AllocateDeferredConstantPoolEntry(); Instead of storing this seperately, could ...
2 years, 7 months ago (2017-03-16 09:12:39 UTC) #63
adamk
As discussed offline, would like to see some tests mixing import declarations and dynamic import. ...
2 years, 7 months ago (2017-03-16 21:41:23 UTC) #68
adamk
Georg, would be interested if you have comments too.
2 years, 7 months ago (2017-03-16 21:41:43 UTC) #69
gsathya
https://codereview.chromium.org/2703563002/diff/250001/src/interpreter/bytecode-generator.cc File src/interpreter/bytecode-generator.cc (right): https://codereview.chromium.org/2703563002/diff/250001/src/interpreter/bytecode-generator.cc#newcode3018 src/interpreter/bytecode-generator.cc:3018: entry = builder()->AllocateDeferredConstantPoolEntry(); On 2017/03/16 09:12:38, rmcilroy wrote: > ...
2 years, 7 months ago (2017-03-17 00:47:22 UTC) #72
adamk
Looking good! https://codereview.chromium.org/2703563002/diff/290001/src/d8.cc File src/d8.cc (right): https://codereview.chromium.org/2703563002/diff/290001/src/d8.cc#newcode791 src/d8.cc:791: if (!maybe_exception.IsEmpty()) { How could FetchModuleTree fail ...
2 years, 7 months ago (2017-03-17 01:00:13 UTC) #73
gsathya
https://codereview.chromium.org/2703563002/diff/290001/src/d8.cc File src/d8.cc (right): https://codereview.chromium.org/2703563002/diff/290001/src/d8.cc#newcode791 src/d8.cc:791: if (!maybe_exception.IsEmpty()) { On 2017/03/17 01:00:13, adamk wrote: > ...
2 years, 7 months ago (2017-03-17 01:13:12 UTC) #76
adamk
Okay, this mostly looks good now. Would still like the API to tighter (either not ...
2 years, 7 months ago (2017-03-17 01:27:47 UTC) #77
rmcilroy
Interperter LGTM with one comment. https://codereview.chromium.org/2703563002/diff/350001/src/interpreter/bytecode-generator.cc File src/interpreter/bytecode-generator.cc (right): https://codereview.chromium.org/2703563002/diff/350001/src/interpreter/bytecode-generator.cc#newcode3042 src/interpreter/bytecode-generator.cc:3042: .StoreAccumulatorInRegister(args[0]) MoveRegister(...) instead of ...
2 years, 7 months ago (2017-03-17 08:51:27 UTC) #84
rmcilroy
Also one comment, the description says you create the ast node to get the script ...
2 years, 7 months ago (2017-03-17 08:53:46 UTC) #85
neis
Some comments below. Still need to look closer at d8 and the tests. Currently, d8 ...
2 years, 7 months ago (2017-03-17 10:36:32 UTC) #86
neis
Regarding tests, please add more. Here are some ideas: - tests where the dynamic import ...
2 years, 7 months ago (2017-03-17 11:50:55 UTC) #87
neis
https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc File src/d8.cc (right): https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc#newcode797 src/d8.cc:797: EmptyMessageQueues(isolate); Can you explain why this call is needed? ...
2 years, 7 months ago (2017-03-17 12:43:08 UTC) #88
gsathya
On 2017/03/17 08:53:46, rmcilroy wrote: > Also one comment, the description says you create the ...
2 years, 7 months ago (2017-03-17 21:46:53 UTC) #90
gsathya
https://codereview.chromium.org/2703563002/diff/350001/include/v8.h File include/v8.h (right): https://codereview.chromium.org/2703563002/diff/350001/include/v8.h#newcode1079 include/v8.h:1079: Local<Context> context, Local<Promise> promise, Local<Value> exception); On 2017/03/17 10:36:31, ...
2 years, 7 months ago (2017-03-17 21:48:00 UTC) #91
gsathya
On 2017/03/17 11:50:55, neis wrote: > Regarding tests, please add more. Here are some ideas: ...
2 years, 7 months ago (2017-03-17 21:49:51 UTC) #94
neis
https://codereview.chromium.org/2703563002/diff/350001/src/bailout-reason.h File src/bailout-reason.h (right): https://codereview.chromium.org/2703563002/diff/350001/src/bailout-reason.h#newcode61 src/bailout-reason.h:61: V(kDynamicImport, "DynamicImport") \ On 2017/03/17 21:47:59, gsathya wrote: > ...
2 years, 7 months ago (2017-03-20 09:36:04 UTC) #97
neis
On 2017/03/17 21:49:51, gsathya wrote: > On 2017/03/17 11:50:55, neis wrote: > > Regarding tests, ...
2 years, 7 months ago (2017-03-20 09:43:12 UTC) #98
neis
On 2017/03/17 21:49:51, gsathya wrote: > On 2017/03/17 11:50:55, neis wrote: > > Regarding tests, ...
2 years, 7 months ago (2017-03-20 09:57:06 UTC) #99
neis
Here's something else worthy of a test or two: $ cat foo import("foo"); print(this); $ ...
2 years, 7 months ago (2017-03-20 10:04:03 UTC) #100
adamk
On 2017/03/20 09:57:06, neis wrote: > On 2017/03/17 21:49:51, gsathya wrote: > > On 2017/03/17 ...
2 years, 7 months ago (2017-03-20 17:24:40 UTC) #101
neis
> > Thanks. I didn't see one where the promise gets rejected due to link-time ...
2 years, 7 months ago (2017-03-20 19:09:20 UTC) #102
gsathya
added link time error test +jochen -- i have two questions for you inline. https://codereview.chromium.org/2703563002/diff/350001/src/bailout-reason.h ...
2 years, 7 months ago (2017-03-22 03:08:34 UTC) #104
neis
On 2017/03/22 03:08:34, gsathya wrote: > added link time error test There's a lot going ...
2 years, 7 months ago (2017-03-22 10:00:09 UTC) #105
neis
https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc File src/d8.cc (right): https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc#newcode705 src/d8.cc:705: return MaybeLocal<Module>(); On 2017/03/22 03:08:34, gsathya wrote: > On ...
2 years, 7 months ago (2017-03-22 10:08:21 UTC) #106
jochen (gone - plz use gerrit)
I think passing this as create param is fine, if it's not set, I'd just ...
2 years, 7 months ago (2017-03-22 10:12:28 UTC) #107
gsathya
On 2017/03/22 10:00:09, neis wrote: > On 2017/03/22 03:08:34, gsathya wrote: > > added link ...
2 years, 7 months ago (2017-03-22 17:35:38 UTC) #110
gsathya
On 2017/03/22 10:08:21, neis wrote: > https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc > File src/d8.cc (right): > > https://codereview.chromium.org/2703563002/diff/350001/src/d8.cc#newcode705 > ...
2 years, 7 months ago (2017-03-22 17:36:43 UTC) #111
gsathya
On 2017/03/22 10:12:28, jochen wrote: > I think passing this as create param is fine, ...
2 years, 7 months ago (2017-03-22 17:40:19 UTC) #112
neis
lgtm
2 years, 7 months ago (2017-03-22 17:45:25 UTC) #113
neis
lgtm
2 years, 7 months ago (2017-03-22 17:45:26 UTC) #114
neis
lgtm
2 years, 7 months ago (2017-03-22 17:45:27 UTC) #115
jochen (gone - plz use gerrit)
sorry for being unclear. I was proposing that you create a new promise new Promise().then(FinishDynamicExportSuccess(module)).catch(FinishDynamicExportFailure(e)); ...
2 years, 7 months ago (2017-03-22 18:02:15 UTC) #118
gsathya
On 2017/03/22 18:02:15, jochen wrote: > sorry for being unclear. > > I was proposing ...
2 years, 7 months ago (2017-03-23 07:24:02 UTC) #119
neis
On 2017/03/23 07:24:02, gsathya wrote: > On 2017/03/22 18:02:15, jochen wrote: > > Why does ...
2 years, 7 months ago (2017-03-23 08:41:21 UTC) #120
jochen (gone - plz use gerrit)
On 2017/03/23 at 07:24:02, gsathya wrote: > On 2017/03/22 18:02:15, jochen wrote: > > sorry ...
2 years, 7 months ago (2017-03-23 15:48:39 UTC) #121
adamk
On 2017/03/23 15:48:39, jochen wrote: > On 2017/03/23 at 07:24:02, gsathya wrote: > > On ...
2 years, 6 months ago (2017-03-24 19:21:12 UTC) #122
adamk
In the interest of reviewing smaller changes (and not having to have this patch rebased ...
2 years, 6 months ago (2017-03-30 00:37:13 UTC) #123
gsathya
On 2017/03/30 00:37:13, adamk wrote: > In the interest of reviewing smaller changes (and not ...
2 years, 6 months ago (2017-03-30 15:47:17 UTC) #132
jochen (gone - plz use gerrit)
lgtm to land and iterate
2 years, 6 months ago (2017-03-31 09:01:50 UTC) #133
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703563002/530001
2 years, 6 months ago (2017-03-31 11:06:08 UTC) #136
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on master.tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/38182)
2 years, 6 months ago (2017-03-31 11:10:39 UTC) #138
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703563002/550001
2 years, 6 months ago (2017-04-07 08:44:21 UTC) #145
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on master.tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/38684)
2 years, 6 months ago (2017-04-07 08:47:51 UTC) #147
gsathya
+bmeurer for src/compiler/ast-graph-builder.cc src/compiler/ast-loop-assignment-analyzer.cc src/crankshaft/hydrogen.cc src/crankshaft/typing.cc src/full-codegen/full-codegen.cc +ahaas for src/asmjs/asm-wasm-builder.cc
2 years, 6 months ago (2017-04-07 08:54:23 UTC) #149
Benedikt Meurer
s/bmeurer/mstarzinger
2 years, 6 months ago (2017-04-07 09:08:01 UTC) #152
ahaas
On 2017/04/07 at 09:08:01, bmeurer wrote: > s/bmeurer/mstarzinger asmjs lgtm
2 years, 6 months ago (2017-04-07 09:26:29 UTC) #153
Michael Starzinger
LGTM from my side. Didn't look at the API and the parser changes all too ...
2 years, 6 months ago (2017-04-10 17:09:50 UTC) #154
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703563002/570001
2 years, 6 months ago (2017-04-11 09:20:07 UTC) #161
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on master.tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/38928)
2 years, 6 months ago (2017-04-11 09:26:37 UTC) #163
Benedikt Meurer
LGTM (rubber-stamped)
2 years, 6 months ago (2017-04-11 09:30:07 UTC) #164
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703563002/570001
2 years, 6 months ago (2017-04-11 09:31:17 UTC) #166
commit-bot: I haz the power
2 years, 6 months ago (2017-04-11 09:33:23 UTC) #169
Message was sent while issue was closed.
Committed patchset #30 (id:570001) as
https://chromium.googlesource.com/v8/v8/+/94283dcf4459fac0ef404d67898e2ba2012...

Powered by Google App Engine
This is Rietveld 408576698